Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(485)

Unified Diff: net/data/ssl/scripts/generate-client-certificates-keychains.sh

Issue 2411023002: *WIP* Mac Unittest for client cert selection with intermediate certs
Patch Set: rebase Created 4 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « net/data/ssl/certificates/client_1_ca.keychain ('k') | net/data/ssl/scripts/generate-keychain.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: net/data/ssl/scripts/generate-client-certificates-keychains.sh
diff --git a/net/data/ssl/scripts/generate-client-certificates-keychains.sh b/net/data/ssl/scripts/generate-client-certificates-keychains.sh
new file mode 100755
index 0000000000000000000000000000000000000000..740d95b2c8648833b8d5a58e0dc65c5d53f163da
--- /dev/null
+++ b/net/data/ssl/scripts/generate-client-certificates-keychains.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Copyright 2016 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+set -x
+
+rm -rf out
+mkdir out
+
+echo "Generating keychain"
+./generate-keychain.sh $PWD/out/client_1.keychain \
+ --import "../certificates/client_1.pem" "../certificates/client_1.key"
+./generate-keychain.sh $PWD/out/client_1_ca.keychain \
+ --untrusted "../certificates/client_1_ca.pem"
+
+echo "Copying outputs"
+cp out/client_1.keychain ../certificates
+cp out/client_1_ca.keychain ../certificates
+
« no previous file with comments | « net/data/ssl/certificates/client_1_ca.keychain ('k') | net/data/ssl/scripts/generate-keychain.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698